Loading...
Searching...
No Matches
vector_projection

## Detailed Description

Examples
  mosolov_augmented_lagrangian1.icc, mosolov_residue.cc, and vector_projection.h.

Definition at line 26 of file vector_projection.h.

## Public Member Functions

Float | operator() (const Float &x) const
| vector_projection (Float a1, Float n=1, Float c=1, Float r=0)

## Public Attributes

Float | a
phi | _phi

## Constructor & Destructor Documentation

## vector_projection()

vector_projection | ( | Float | a1,
|  | Float | n = `1`,
|  | Float | c = `1`,
|  | Float | r = `0`
| ) |  |

Definition at line 31 of file vector_projection.h.

## Member Function Documentation

## operator()()

Float operator() | ( | const Float & | x | ) | const

Examples
  vector_projection.h.

Definition at line 27 of file vector_projection.h.

## Member Data Documentation

## a

Float a

Examples
  vector_projection.h.

Definition at line 33 of file vector_projection.h.

## _phi

phi _phi

Examples
  vector_projection.h.

Definition at line 34 of file vector_projection.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/vector_projection.h